
From: "John W. Linville" <linville@tuxdriver.com>

Add support for ETHTOOL_GPERMADDR to 3c59x.

Signed-off-by: John W. Linville <linville@tuxdriver.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/3c59x.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/net/3c59x.c~3c59x-support-ethtool_gpermaddr drivers/net/3c59x.c
--- 25/drivers/net/3c59x.c~3c59x-support-ethtool_gpermaddr	Mon Sep 12 15:32:28 2005
+++ 25-akpm/drivers/net/3c59x.c	Mon Sep 12 15:32:28 2005
@@ -1341,6 +1341,7 @@ static int __devinit vortex_probe1(struc
 		printk(" ***INVALID CHECKSUM %4.4x*** ", checksum);
 	for (i = 0; i < 3; i++)
 		((u16 *)dev->dev_addr)[i] = htons(eeprom[i + 10]);
+	memcpy(dev->perm_addr, dev->dev_addr, dev->addr_len);
 	if (print_info) {
 		for (i = 0; i < 6; i++)
 			printk("%c%2.2x", i ? ':' : ' ', dev->dev_addr[i]);
@@ -3060,6 +3061,7 @@ static struct ethtool_ops vortex_ethtool
 	.set_settings           = vortex_set_settings,
 	.get_link               = vortex_get_link,
 	.nway_reset             = vortex_nway_reset,
+	.get_perm_addr		= ethtool_op_get_perm_addr,
 };
 
 #ifdef CONFIG_PCI
_
